
package org.rss;

import java.math.BigInteger;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="channel">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="link" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                           &lt;attribute name="href" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                           &lt;attribute name="rel" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                           &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="lastBuildDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="generator" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="language" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="updatePeriod" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="updateFrequency" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *                   &lt;element name="item" maxOccurs="unbounded">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                             &lt;element name="link" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                             &lt;element name="comments" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
 *                             &lt;element name="pubDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                             &lt;element name="creator" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                             &lt;element name="category" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
 *                             &lt;element name="guid">
 *                               &lt;complexType>
 *                                 &lt;simpleContent>
 *                                   &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                                     &lt;attribute name="isPermaLink" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                                   &lt;/extension>
 *                                 &lt;/simpleContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                             &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                             &lt;element name="commentRss" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="version" type="{http://www.w3.org/2001/XMLSchema}float" />
 *       &lt;attribute name="content" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="wfw" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="dc" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="atom" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="sy" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="slash" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "channel" })
@XmlRootElement(name = "rss")
public class Rss {

    @XmlElement(required = true)
    protected Rss.Channel channel;
    @XmlAttribute
    protected Float version;
    @XmlAttribute
    protected String content;
    @XmlAttribute
    protected String wfw;
    @XmlAttribute
    protected String dc;
    @XmlAttribute
    protected String atom;
    @XmlAttribute
    protected String sy;
    @XmlAttribute
    protected String slash;

    /**
     * Gets the value of the channel property.
     *
     * @return
     *     possible object is
     *     {@link Rss.Channel }
     *
     */
    public Rss.Channel getChannel() {
        return channel;
    }

    /**
     * Sets the value of the channel property.
     *
     * @param value
     *     allowed object is
     *     {@link Rss.Channel }
     *
     */
    public void setChannel(Rss.Channel value) {
        this.channel = value;
    }

    /**
     * Gets the value of the version property.
     *
     * @return
     *     possible object is
     *     {@link Float }
     *
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     *
     * @param value
     *     allowed object is
     *     {@link Float }
     *
     */
    public void setVersion(Float value) {
        this.version = value;
    }

    /**
     * Gets the value of the content property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getContent() {
        return content;
    }

    /**
     * Sets the value of the content property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setContent(String value) {
        this.content = value;
    }

    /**
     * Gets the value of the wfw property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getWfw() {
        return wfw;
    }

    /**
     * Sets the value of the wfw property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setWfw(String value) {
        this.wfw = value;
    }

    /**
     * Gets the value of the dc property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getDc() {
        return dc;
    }

    /**
     * Sets the value of the dc property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setDc(String value) {
        this.dc = value;
    }

    /**
     * Gets the value of the atom property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getAtom() {
        return atom;
    }

    /**
     * Sets the value of the atom property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setAtom(String value) {
        this.atom = value;
    }

    /**
     * Gets the value of the sy property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getSy() {
        return sy;
    }

    /**
     * Sets the value of the sy property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setSy(String value) {
        this.sy = value;
    }

    /**
     * Gets the value of the slash property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getSlash() {
        return slash;
    }

    /**
     * Sets the value of the slash property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setSlash(String value) {
        this.slash = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     *
     * <p>The following schema fragment specifies the expected content contained within this class.
     *
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="link" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *                 &lt;attribute name="href" type="{http://www.w3.org/2001/XMLSchema}string" />
     *                 &lt;attribute name="rel" type="{http://www.w3.org/2001/XMLSchema}string" />
     *                 &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="lastBuildDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="generator" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="language" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="updatePeriod" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="updateFrequency" type="{http://www.w3.org/2001/XMLSchema}integer"/>
     *         &lt;element name="item" maxOccurs="unbounded">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                   &lt;element name="link" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                   &lt;element name="comments" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
     *                   &lt;element name="pubDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                   &lt;element name="creator" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                   &lt;element name="category" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
     *                   &lt;element name="guid">
     *                     &lt;complexType>
     *                       &lt;simpleContent>
     *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *                           &lt;attribute name="isPermaLink" type="{http://www.w3.org/2001/XMLSchema}string" />
     *                         &lt;/extension>
     *                       &lt;/simpleContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                   &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                   &lt;element name="commentRss" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     *
     *
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "",
             propOrder = { "title", "link", "description", "lastBuildDate", "generator", "language", "updatePeriod",
                           "updateFrequency", "item" })
    public static class Channel {

        @XmlElement(required = true)
        protected String title;
        @XmlElement(required = true)
        protected List<Rss.Channel.Link> link;
        @XmlElement(required = true)
        protected String description;
        @XmlElement(required = true)
        protected String lastBuildDate;
        @XmlElement(required = true)
        protected String generator;
        @XmlElement(required = true)
        protected String language;
        @XmlElement(required = true)
        protected String updatePeriod;
        @XmlElement(required = true)
        protected BigInteger updateFrequency;
        @XmlElement(required = true)
        protected List<Rss.Channel.Item> item;

        /**
         * Gets the value of the title property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getTitle() {
            return title;
        }

        /**
         * Sets the value of the title property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setTitle(String value) {
            this.title = value;
        }

        /**
         * Gets the value of the link property.
         *
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the link property.
         *
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getLink().add(newItem);
         * </pre>
         *
         *
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Rss.Channel.Link }
         *
         *
         */
        public List<Rss.Channel.Link> getLink() {
            if (link == null) {
                link = new ArrayList<Rss.Channel.Link>();
            }
            return this.link;
        }

        /**
         * Gets the value of the description property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getDescription() {
            return description;
        }

        /**
         * Sets the value of the description property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setDescription(String value) {
            this.description = value;
        }

        /**
         * Gets the value of the lastBuildDate property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getLastBuildDate() {
            return lastBuildDate;
        }

        /**
         * Sets the value of the lastBuildDate property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setLastBuildDate(String value) {
            this.lastBuildDate = value;
        }

        /**
         * Gets the value of the generator property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getGenerator() {
            return generator;
        }

        /**
         * Sets the value of the generator property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setGenerator(String value) {
            this.generator = value;
        }

        /**
         * Gets the value of the language property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getLanguage() {
            return language;
        }

        /**
         * Sets the value of the language property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setLanguage(String value) {
            this.language = value;
        }

        /**
         * Gets the value of the updatePeriod property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUpdatePeriod() {
            return updatePeriod;
        }

        /**
         * Sets the value of the updatePeriod property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUpdatePeriod(String value) {
            this.updatePeriod = value;
        }

        /**
         * Gets the value of the updateFrequency property.
         *
         * @return
         *     possible object is
         *     {@link BigInteger }
         *
         */
        public BigInteger getUpdateFrequency() {
            return updateFrequency;
        }

        /**
         * Sets the value of the updateFrequency property.
         *
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *
         */
        public void setUpdateFrequency(BigInteger value) {
            this.updateFrequency = value;
        }

        /**
         * Gets the value of the item property.
         *
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the item property.
         *
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getItem().add(newItem);
         * </pre>
         *
         *
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Rss.Channel.Item }
         *
         *
         */
        public List<Rss.Channel.Item> getItem() {
            if (item == null) {
                item = new ArrayList<Rss.Channel.Item>();
            }
            return this.item;
        }


        /**
         * <p>Java class for anonymous complex type.
         *
         * <p>The following schema fragment specifies the expected content contained within this class.
         *
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *         &lt;element name="link" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *         &lt;element name="comments" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
         *         &lt;element name="pubDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *         &lt;element name="creator" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *         &lt;element name="category" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
         *         &lt;element name="guid">
         *           &lt;complexType>
         *             &lt;simpleContent>
         *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
         *                 &lt;attribute name="isPermaLink" type="{http://www.w3.org/2001/XMLSchema}string" />
         *               &lt;/extension>
         *             &lt;/simpleContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *         &lt;element name="commentRss" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         *
         *
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "",
                 propOrder = { "title", "link", "comments", "pubDate", "creator", "category", "guid", "description",
                               "commentRss" })
        public static class Item {

            @XmlElement(required = true)
            protected String title;
            @XmlElement(required = true)
            protected String link;
            @XmlElement(required = true)
            protected List<String> comments;
            @XmlElement(required = true)
            protected String pubDate;
            @XmlElement(required = true)
            protected String creator;
            @XmlElement(required = true)
            protected List<String> category;
            @XmlElement(required = true)
            protected Rss.Channel.Item.Guid guid;
            @XmlElement(required = true)
            protected String description;
            @XmlElement(required = true)
            protected String commentRss;

            /**
             * Gets the value of the title property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getTitle() {
                return title;
            }

            /**
             * Sets the value of the title property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setTitle(String value) {
                this.title = value;
            }

            /**
             * Gets the value of the link property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getLink() {
                return link;
            }

            /**
             * Sets the value of the link property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setLink(String value) {
                this.link = value;
            }

            /**
             * Gets the value of the comments property.
             *
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the comments property.
             *
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getComments().add(newItem);
             * </pre>
             *
             *
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link String }
             *
             *
             */
            public List<String> getComments() {
                if (comments == null) {
                    comments = new ArrayList<String>();
                }
                return this.comments;
            }

            /**
             * Gets the value of the pubDate property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getPubDate() {
                return pubDate;
            }

            /**
             * Sets the value of the pubDate property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setPubDate(String value) {
                this.pubDate = value;
            }

            /**
             * Gets the value of the creator property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getCreator() {
                return creator;
            }

            /**
             * Sets the value of the creator property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setCreator(String value) {
                this.creator = value;
            }

            /**
             * Gets the value of the category property.
             *
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the category property.
             *
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getCategory().add(newItem);
             * </pre>
             *
             *
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link String }
             *
             *
             */
            public List<String> getCategory() {
                if (category == null) {
                    category = new ArrayList<String>();
                }
                return this.category;
            }

            /**
             * Gets the value of the guid property.
             *
             * @return
             *     possible object is
             *     {@link Rss.Channel.Item.Guid }
             *
             */
            public Rss.Channel.Item.Guid getGuid() {
                return guid;
            }

            /**
             * Sets the value of the guid property.
             *
             * @param value
             *     allowed object is
             *     {@link Rss.Channel.Item.Guid }
             *
             */
            public void setGuid(Rss.Channel.Item.Guid value) {
                this.guid = value;
            }

            /**
             * Gets the value of the description property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getDescription() {
                return description;
            }

            /**
             * Sets the value of the description property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setDescription(String value) {
                this.description = value;
            }

            /**
             * Gets the value of the commentRss property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getCommentRss() {
                return commentRss;
            }

            /**
             * Sets the value of the commentRss property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setCommentRss(String value) {
                this.commentRss = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             *
             * <p>The following schema fragment specifies the expected content contained within this class.
             *
             * <pre>
             * &lt;complexType>
             *   &lt;simpleContent>
             *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
             *       &lt;attribute name="isPermaLink" type="{http://www.w3.org/2001/XMLSchema}string" />
             *     &lt;/extension>
             *   &lt;/simpleContent>
             * &lt;/complexType>
             * </pre>
             *
             *
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = { "value" })
            public static class Guid {

                @XmlValue
                protected String value;
                @XmlAttribute
                protected String isPermaLink;

                /**
                 * Gets the value of the value property.
                 *
                 * @return
                 *     possible object is
                 *     {@link String }
                 *
                 */
                public String getValue() {
                    return value;
                }

                /**
                 * Sets the value of the value property.
                 *
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *
                 */
                public void setValue(String value) {
                    this.value = value;
                }

                /**
                 * Gets the value of the isPermaLink property.
                 *
                 * @return
                 *     possible object is
                 *     {@link String }
                 *
                 */
                public String getIsPermaLink() {
                    return isPermaLink;
                }

                /**
                 * Sets the value of the isPermaLink property.
                 *
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *
                 */
                public void setIsPermaLink(String value) {
                    this.isPermaLink = value;
                }

            }

        }


        /**
         * <p>Java class for anonymous complex type.
         *
         * <p>The following schema fragment specifies the expected content contained within this class.
         *
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
         *       &lt;attribute name="href" type="{http://www.w3.org/2001/XMLSchema}string" />
         *       &lt;attribute name="rel" type="{http://www.w3.org/2001/XMLSchema}string" />
         *       &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         *
         *
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = { "value" })
        public static class Link {

            @XmlValue
            protected String value;
            @XmlAttribute
            protected String href;
            @XmlAttribute
            protected String rel;
            @XmlAttribute
            protected String type;

            /**
             * Gets the value of the value property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setValue(String value) {
                this.value = value;
            }

            /**
             * Gets the value of the href property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getHref() {
                return href;
            }

            /**
             * Sets the value of the href property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setHref(String value) {
                this.href = value;
            }

            /**
             * Gets the value of the rel property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getRel() {
                return rel;
            }

            /**
             * Sets the value of the rel property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setRel(String value) {
                this.rel = value;
            }

            /**
             * Gets the value of the type property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getType() {
                return type;
            }

            /**
             * Sets the value of the type property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setType(String value) {
                this.type = value;
            }

        }

    }

}
