package nl.amis.hrm.jaxb;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;


public class XMLProducer {
    
    public static void main(String[] args) throws JAXBException {
        JAXBContext jaxbContext = JAXBContext.newInstance("nl.amis.hrm.jaxb");
        Marshaller marshaller = jaxbContext.createMarshaller();
        marshaller.setProperty("jaxb.formatted.output", Boolean.TRUE);
        ObjectFactory objf = new ObjectFactory();
        Company company = objf.createCompany();
        company.setName("AMIS and Friends");
        marshaller.marshal(company, System.out);
    }
}
