package org.rss;

import java.io.File;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;

import org.xml.sax.SAXException;

public class RssToJavaProcessor {
    
    public static void main(String[] args) throws JAXBException, SAXException {
        JAXBContext jaxbctx = JAXBContext.newInstance("org.rss");
        Unmarshaller unm = jaxbctx.createUnmarshaller();
        File xml = new File("C:/Temp/ConsumeXMLusingJAXB/ConsumeRSSintoJava/AMISBlogRSSFeed.xml");
        Rss rss = (Rss)unm.unmarshal(xml);
        System.out.println(rss.getChannel().getDescription());
        for (Rss.Channel.Item i : rss.getChannel().getItem()) {
            System.out.println(i.getTitle()+" - "+i.getPubDate());
        }
    }
}
